%global enable_tests 1

%global barename regenerator

%global commit0 875b3b8e0d6f17065dede5ef0e0bac341956bf90
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:               nodejs-regenerator
Version:            0.8.46
Release:            5%{?dist}
Summary:            Source transformer enabling ECMAScript 6 generators

License:            BSD
URL:                https://www.npmjs.org/package/regenerator
Source0:            https://github.com/facebook/%{barename}/archive/%{commit0}.tar.gz#/%{barename}-%{shortcommit0}.tar.gz
BuildArch:          noarch
ExclusiveArch:      %{nodejs_arches} noarch

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(commoner)
BuildRequires:      npm(defs)
BuildRequires:      npm(esprima-fb)
BuildRequires:      npm(mocha)
BuildRequires:      npm(recast)
BuildRequires:      npm(semver)
BuildRequires:      npm(through)
%endif


%description
This package implements a fully-functional source transformation that takes the
proposed syntax for generators/yield from future versions of JS (ECMAScript6 or
ES6, experimentally implemented in Node.js v0.11) and spits out efficient
JS-of-today (ES5) that behaves the same way.


%package runtime
Version:            0.9.5
Summary:            Standalone runtime for Regenerator-compiled generator and async functions

%description runtime
Standalone runtime for Regenerator-compiled generator and async functions.


%prep
%setup -qn %{barename}-%{commit0}

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep esprima-fb
%nodejs_fixdep recast
%nodejs_fixdep through '2.3.x'

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/regenerator
cp -pr package.json main.js runtime.js lib/ bin/ \
    %{buildroot}%{nodejs_sitelib}/regenerator

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{barename}/bin/regenerator %{buildroot}%{_bindir}/

# runtime
mkdir -p %{buildroot}%{nodejs_sitelib}/regenerator-runtime
cp -pr packages/regenerator-runtime/package.json \
    packages/regenerator-runtime/*.js \
    %{buildroot}%{nodejs_sitelib}/regenerator-runtime

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
ln -s ../packages/regenerator-runtime node_modules/regenerator-runtime
node test/run.js
%endif


%files
%doc README.md
%license LICENSE
%{_bindir}/regenerator
%{nodejs_sitelib}/regenerator/

%files runtime
%doc packages/regenerator-runtime/README.md
%license LICENSE
%{nodejs_sitelib}/regenerator-runtime/


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.46-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.46-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.46-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug 24 2016 Piotr Popieluch <piotr1212@gmail.com> - - 0.8.46-1
- Update to 0.8.46
- Add runtime subpackage

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Piotr Popieluch <piotr1212@gmail.com> - 0.8.42-1
- Update to 0.8.42

* Sat Oct 17 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.8.41-1
- Update to 0.8.41

* Tue Sep 22 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.8.39-1
- Update to 0.8.39

* Thu Sep 10 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.8.36-2
- add missing runtime.js

* Tue Sep  8 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.8.36-1
- Update to new version
- Enable tests
- Change source to github

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 24 2014 Parag Nemade <pnemade AT redhat.com> - 0.4.9-3
- Add missing regenerator binary

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.4.9-2
- Initial packaging for Fedora.
